<java:package> | Standard JET2 Java Tags
--- | ---

package

Create a Java package.

Tag Summary
required | <java:package name="value"> content to be written </java:package>
full tag | <java:package name="value" srcFolder="value"> content to be written </java:package>

Required Attributes
name | The package name.

Optional Attributes
srcFolder | The a path of source folder. If a relative path, this relative to any containing 'ws:project' or 'ws:folder' tags. If absolute, it is treated as a workspace relative path. If omitted, the first source folder of the containing project is used.

Example
| <%-- Create a package in myProject/src folder --%> <java:package name="org.example" srcFolder="myProject/src"> ... java:class and java:resource tags here will be relative to org.example ... </java:package>